Bug 410901 - Review Request: libepc - Easy Publish and Consume library
Review Request: libepc - Easy Publish and Consume library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 14:26 EST by Brian Pepple
Modified: 2007-12-10 13:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 13:05:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2007-12-04 14:26:29 EST
Spec URL: http://fedorapeople.org/~bpepple/rpms/libepc.spec
SRPM URL: http://fedorapeople.org/~bpepple/rpms/libepc-0.3.0-1.fc8.src.rpm
Build Log: http://fedorapeople.org/~bpepple/rpms/build.log
Description: A library to easily publish and consume values on networks

rpmlint results:
libepc.src: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 1)
libepc-ui.i386: W: no-documentation
libepc-ui-devel.i386: W: no-documentation
Comment 1 Brian Pepple 2007-12-04 15:36:24 EST
Here's a link to a F8 scratch build to make reviewing easier:
http://koji.fedoraproject.org/koji/taskinfo?taskID=274264
Comment 2 Mamoru TASAKA 2007-12-05 01:17:32 EST
I would appreciate it if you would review my review request
(bug 411591)
Comment 3 Mamoru TASAKA 2007-12-05 03:51:50 EST
* Dependency of libepc vs libepc-ui
  ! Not a blocker, however:
[tasaka1@localhost libepc]$ rpm -q --requires libepc > a.txt
[tasaka1@localhost libepc]$ rpm -q --requires libepc-ui > b.txt
[tasaka1@localhost libepc]$ ( cat b.txt | while read f ; do if ! ( cat a.txt |
grep -q "$f" ) ; then echo $f ; fi ; done ) | sed -e 's|=.*$||' | xargs rpm -q
--whatprovides | sort | uniq
atk-1.20.0-1.fc8
cairo-1.5.2-1.fc9
gtk2-2.12.2-1.fc9
libepc-0.3.0-1.fc9
libepc-ui-0.3.0-1.fc9
pango-1.19.0-1.fc9

    This means that apart from libepc, libepc-ui requires only
    gtk2 (plus packages gtk2 depends on).
    - Is this what you actually expect?
    - Especially, does it make sense to split libepc-devel and
      libepi-ui-devel?

* gnutls-devel dependency
  - While you write explicitly
--------------------------------------------------------
BuildRequires: gnutls-devel
--------------------------------------------------------
    (libsoup-devel requires gnutls-devel)
    why don't you write "Requires: gnutls-devel" for libepc-devel?
    libepc-devel actually requires gnutls-devel by
    /usr/include/libepc-1.0/libepc/tls.h

* timestamps
  - Please use
---------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
---------------------------------------------------------
    to keep timestamps on installed files (check the timestamps
    of installed header files, for example).
    While somethimes this does not work, this usually works for
    recent Makefiles.

* libdir in .pc file on 64bits
  - (While I only have i386 machine) /usr/lib64/pkgconfig/libepc-1.0.pc
    contains the line
---------------------------------------------------------
prefix=/usr
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include
---------------------------------------------------------
    Here libdir is wrong (and perhaps same for libepc-ui-1.0.pc)

* tests/ subdirectory
  - Maybe some test programs can be executed on %check?
Comment 4 Brian Pepple 2007-12-08 12:44:07 EST
Spec URL: http://fedorapeople.org/~bpepple/rpms/libepc.spec
SRPM URL: http://fedorapeople.org/~bpepple/rpms/libepc-0.3.0-2.fc8.src.rpm

* Sat Dec  8 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.0-2
- Merge ui-devel into devel.
- Add patch to fix .pc files.
- Add requires for gnutls-devel to -devel.
- keep timestamp on installed files.

I'll look at adding some of the tests later, since that's not really a blocker.

BTW, do you have another package that needs a review, since someone already beat
me to the one you listed previously? 
Comment 5 Mamoru TASAKA 2007-12-08 12:51:35 EST
I will check your latest srpm later.

By the way:
> BTW, do you have another package that needs a review, since someone already beat
> me to the one you listed previously? 

I have bug 413561 and bug 414211 .
Comment 6 Brian Pepple 2007-12-08 16:04:21 EST
Spec URL: http://fedorapeople.org/~bpepple/rpms/libepc.spec
SRPM URL: http://fedorapeople.org/~bpepple/rpms/libepc-0.3.0-3.fc8.src.rpm

* Sat Dec  8 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.0-3
- fix rpath.

* Sat Dec  8 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.0-2
- Merge ui-devel into devel.
- Add patch to fix .pc files.
- Add requires for gnutls-devel to -devel.
- keep timestamp on installed files.

Link to scatch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=283467
Comment 7 Mamoru TASAKA 2007-12-09 01:16:51 EST
For 0.3.0-3:

* Dependency for libepc-devel
  - As we merged libepc-ui-devel into libepc-devel, now
    libepc-devel should require gtk2-devel, too.

Other things are okay.
-------------------------------------------------------
    This package (libepc) is APPROVED by me
-------------------------------------------------------
Comment 8 Brian Pepple 2007-12-09 09:04:18 EST
Mamoru, thanks for the review!

New Package CVS Request
=======================
Package Name: libepc
Short Description: Easy Publish and Consume library
Owners: bpepple
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-12-10 12:01:11 EST
cvs done.
Comment 10 Brian Pepple 2007-12-10 13:05:18 EST
Devel built.  Thanks, Mamoru!

Note You need to log in before you can comment on or make changes to this bug.